package schalter

type SpaceAPI struct {
	API      string `json:"api"`
	Space    string `json:"space"`
	Logo     string `json:"logo"`
	URL      string `json:"url"`
	Location struct {
		Address string  `json:"address,omitempty"`
		Lat     float64 `json:"lat"`
		Lon     float64 `json:"lon"`
	} `json:"location"`
	SpaceFed struct {
		SpaceNet   bool `json:"spacenet"`
		Spacesaml  bool `json:"spacesaml"`
		SpacePhone bool `json:"spacephone"`
	} `json:"spacefed,omitempty"`
	Cam    []string `json:"cam,omitempty"`
	Stream struct {
		M4      bool `json:"m4,omitempty"`
		MJPEG   bool `json:"mjpeg,omitempty"`
		UStream bool `json:"ustream,omitempty"`
	} `json:"stream,omitempty"`
	State struct {
		Open          bool    `json:"open"`
		Lastchange    float64 `json:"lastchange,omitempty"`
		TriggerPerson string  `json:"trigger_person,omitempty"`
		Message       string  `json:"message,omitempty"`
		Icon          struct {
			Open   string `json:"open"`
			Closed string `json:"closed"`
		} `json:"icon,omitempty"`
	} `json:"state"`
	// ..
}
